# Generated by Django 2.2.9 on 2020-02-22 11:20

from django.db import migrations, models
import uuid

def gen_uuid(apps, schema_editor):
    MyModel = apps.get_model('guichet', 'Registration')
    for row in MyModel.objects.all():
        row.qrcode_uuid = uuid.uuid4()
        row.save(update_fields=['qrcode_uuid'])

class Migration(migrations.Migration):

    dependencies = [
        ('guichet', '0086_remove_registration_barcode'),
    ]

    operations = [
        migrations.AddField(
            model_name='registration',
            name='qrcode_uuid',
            field=models.UUIDField(default=uuid.uuid4, editable=False, null=True),
        ),
        migrations.RunPython(gen_uuid, reverse_code=migrations.RunPython.noop),
        migrations.AlterField(model_name='registration',
            name='qrcode_uuid',
            field=models.UUIDField(default=uuid.uuid4, editable=False, unique=True)
        )
    ]
